2FT(1)

NAME
2ft - 2-frame translation of a DNA sequence into protein

SYNOPSIS

2ft [ -h ] [ -r | -s ] [ -W width ] < sequence_library

DESCRIPTION
2ft converts both strands of one or several DNA sequences into so-called "interleaved frame-translated" DNA sequences. An "interleaved frame-translated" DNA sequence is an amino acid sequence of translated overlapping codons. For instance, the DNA sequence "ATGGCA" consisting of four overlapping codons would be translated into the amino acid sequence "MWGA", representing the translation of the 1st codon of the 1st reading frame, the 1st codon of the 2nd reading frame, the 1st codon of the 3rd reading frame and the 2nd codon of the 1st reading frame. Stop codons are represented by the character "O". The program 2ft reads fasta formatted DNA sequences from standard input. If the sequences are contained in a file, the input can be redirected from this file using the shell's input redirector '<' as shown in the synopsis section. The sequence_library contains one or several sequences in Pearson/Fasta format.

This program is used for searching genomic or EST sequence databases with frame-search profiles generated by pftools program ptof(1).

OPTIONS

-h  Display usage help text.

-r  Translate only reverse (antisense) strand.
    This option is mutualy exclusive with option -s.
    Default: translate both strands

-s  Translate only sense strand.
    This option is mutualy exclusive with option -r.
    Default: translate both strands

-W width
    Set sequence output width.
    The value of 'width' specifies how many residues will be output on one line.
    Type: integer
    Default: 60

EXAMPLES
See manual pages of pftools program ptof(1).

SEE ALSO
ptof(1)

AUTHOR
The pftools package was developed by Philipp Bucher.
Any comments or suggestions should be addressed to <pftools@sib.swiss>.